import { html as a } from "lit";
import { property as l } from "lit/decorators.js";
import { PieIconComponent as m } from "./PieIconComponent.js";
import { safeCustomElement as f } from "@justeattakeaway/pie-webc-core";
var g = Object.defineProperty, h = Object.getOwnPropertyDescriptor, p = (c, o, s, t) => {
  for (var e = t > 1 ? void 0 : t ? h(o, s) : o, n = c.length - 1, i; n >= 0; n--)
    (i = c[n]) && (e = (t ? i(o, s, e) : i(e)) || e);
  return t && e && g(o, s, e), e;
};
let r = class extends m {
  constructor() {
    super(...arguments), this.size = 32, this.defaultClasses = "c-pieIcon c-pieIcon--moonLarge", this.class = "c-pieIcon c-pieIcon--moonLarge", this.name = "IconMoonLarge";
  }
  render() {
    return a`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 32 32" class="c-pieIcon c-pieIcon--moonLarge"><path d="M15.125 16a8.794 8.794 0 0 1 6.93-8.558 10.612 10.612 0 0 0-.805-.524 10.213 10.213 0 0 0-1.321-.64A10.317 10.317 0 0 0 16 5.5a10.5 10.5 0 1 0 0 21c1.348 0 2.683-.265 3.929-.779.455-.18.897-.394 1.321-.639.28-.166.551-.34.805-.524A8.793 8.793 0 0 1 15.125 16ZM16 24.75a8.75 8.75 0 1 1 1.811-17.308 10.5 10.5 0 0 0 0 17.116A8.834 8.834 0 0 1 16 24.75Z"></path></svg>`;
  }
};
p([
  l({ type: String, reflect: !0 })
], r.prototype, "size", 2);
p([
  l({ type: String, reflect: !0 })
], r.prototype, "class", 2);
r = p([
  f("icon-moon-large")
], r);
export {
  r as IconMoonLarge
};
